#2676 closed enhancement (fixed)

Obsolete clock_get() directive

Reported by: Joel Sherrill Owned by: Joel Sherrill <joel@…>
Priority: normal Milestone: 5.1
Component: unspecified Version: 5
Severity: normal Keywords:
Cc: Blocked By:
Blocking:

Description

This is deprecated on the 4.11 branch and its use has been isolated in the source tree.

  • Remove clock_get()
  • Should allow deletion of rtems_clock_get_options

$ grep -rl "clock_get(" .
./doc/user/clock.t
./testsuites/tmtests/tmoverhd/testtask.c
./testsuites/tmtests/tmoverhd/dumrtems.h
./testsuites/sptests/spclockget/init.c
./testsuites/sptests/spclockget/spclockget.doc
./cpukit/rtems/include/rtems/rtems/clock.h
./cpukit/rtems/src/clockget.c

Change History (4)

comment:1 Changed on Apr 14, 2016 at 9:53:42 PM by Joel Sherrill <joel@…>

Owner: set to Joel Sherrill <joel@…>
Resolution: fixed
Status: newclosed

In e65c45c4b6cf6dfb485bef48385e39969de8b361/rtems:

Obsolete rtems_clock_get() directive.

This service was marked as deprecated long prior to the 4.11 release
series and is now being removed.

closes #2676.

comment:2 Changed on May 11, 2017 at 7:31:02 AM by Sebastian Huber

Milestone: 4.124.12.0

comment:3 Changed on Nov 9, 2017 at 6:27:14 AM by Sebastian Huber

Milestone: 4.12.05.1

Milestone renamed

comment:4 Changed on Nov 24, 2017 at 12:52:03 PM by Sebastian Huber <sebastian.huber@…>

In 83ad1c5/rtems:

ada/sp04: Fix clock get

Update #2676.

Note: See TracTickets for help on using tickets.